Package org.apache.sysds.runtime.matrix.operators

## Class TernaryOperator

- java.lang.Object
- - org.apache.sysds.runtime.matrix.operators.Operator
  - - org.apache.sysds.runtime.matrix.operators.MultiThreadedOperator
    - - org.apache.sysds.runtime.matrix.operators.TernaryOperator

All Implemented Interfaces:
  `Serializable`

    public class TernaryOperator
    extends MultiThreadedOperator

See Also:
  Serialized Form

### Field Summary

Fields
`TernaryValueFunction` `fn`

### Fields inherited from class org.apache.sysds.runtime.matrix.operators.Operator

`sparseSafe`

### Constructor Summary

Constructors
`TernaryOperator​(TernaryValueFunction p, int numThreads)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class org.apache.sysds.runtime.matrix.operators.MultiThreadedOperator

`getNumThreads, setNumThreads`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### fn

    public final TernaryValueFunction fn

### Constructor Detail

#### TernaryOperator

    public TernaryOperator​(TernaryValueFunction p,
                           int numThreads)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`